firefox-1.5.0.9 build error

Tijnema ! tijnema at gmail.com
Wed Apr 25 04:52:52 PDT 2007


On 4/25/07, Jim McConville <jhmc at xmission.com> wrote:
> On Tuesday 24 April 2007 12:24, Jim McConville wrote:
> > On Tuesday 24 April 2007 08:42, Dan Nicholson wrote:
> > > On 4/24/07, Jim McConville <jhmc at xmission.com> wrote:
> > > > On Monday 23 April 2007 08:51, Jim McConville wrote:
> > > > > firefox-1.5.0.9 build error
> > > > >
> > > > > I am following BLFS-6.2  in building firefox-1.5.09.
> > > > > 1. The .mozconfig file exists.
> > > > > 2. The patches have been applied
> > > > > 3. The editing with 'sed' is completed.
> > > > > When the  command     'make -f client.mk build' is executed it
> > > > > terminates with the following:
> > > > > /sources/mozilla/widget/src/gtkxtbin/gtk2xtbin.c:407: warning:
> > > > > redeclaration of 'gtk_xtbin_resize' with different visibility (old
> > > > > visibility preserved)
> > > > > /sources/mozilla/widget/src/gtkxtbin/gtk2xtbin.h:110: warning:
> > > > > previous declaration of 'gtk_xtbin_resize' was here
> > > > > make[3]: *** [gtk2xtbin.o] Error 1
> > >
> > > I've never heard of this error on x86, but there used to be problems
> > > using GCC visibility on various arches. You can try to disable it by
> > > adding the setting
> > >
> > >
> > > to your .mozconfig.
> >
> > I will try this suggestion and report the results.
> >
>  As suggested I attempted to compile with "ac_cv_visibility_pragma=no"
> in the .mozconfig.  The compilation failed  with the same messages as  listed
> above.
> The contents of .mozconfig are listed here:
> . $topsrcdir/browser/config/mozconfig
> mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/../firefox-build
> ac_cv_visibility_pragma=no
> ac_add_options --prefix=/usr
> ac_add_options --with-system-zlib
> ac_add_options --with-system-png
> ac_add_options --with-system-jpeg
> ac_add_options --enable-system-cairo
> #ac_add_options --enable-default-toolkit=xlib
> ac_add_options --disable-freetype2
> ac_add_options --enable-official-branding
> ac_add_options --enable-canvas
> ac_add_options --enable-svg
> ac_add_options --enable-strip
> ac_add_options --disable-tests
> ac_add_options --disable-installer
> ac_add_options --disable-accessibility
> ac_add_options --enable-ldap
> ac_add_options --with-system-nss
>
> I have gtk+-2.8.20 installed. I don't know if that has anything to do with the
> problem however.

GTK+ is a required dependency, so it's normal you installed it :)

however, did you read the note?:
"Note: libjpeg should have been installed before GTK+ and should exist
on your system. If for some reason you haven't installed libjpeg, you
should remove the --with-system-jpeg option from the .mozconfig file
created below. "

Tijnema
>



More information about the blfs-support mailing list